export declare type EventType = {
    type: string;
    target: unknown;
    payload?: unknown;
};
export default abstract class EventEmitter {
    private _eventListeners;
    private _firedEvents;
    emit(type: string, payload?: unknown): boolean;
    on(type: any, callback: (event: EventType) => void, config?: {
        immediate: boolean;
    }): void;
    once(): void;
    off(): void;
    pipe(): void;
    private createEvent;
}
